com.taosdata.jdbc.ws.tmq.entity

## Class CommitOffsetReq

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Payload
  - - com.taosdata.jdbc.ws.tmq.entity.CommitOffsetReq

    public class CommitOffsetReq
    extends Payload

### Constructor Summary

Constructors
Constructor and Description
`CommitOffsetReq()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getOffset()`
`String` `getTopic()`
`int` `getVgroupId()`
`void` `setOffset(long offset)`
`void` `setTopic(String topic)`
`void` `setVgroupId(int vgroupId)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Payload

`getReqId, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommitOffsetReq

    public CommitOffsetReq()

### Method Detail

#### getTopic

    public String getTopic()

#### setTopic

    public void setTopic(String topic)

#### getVgroupId

    public int getVgroupId()

#### setVgroupId

    public void setVgroupId(int vgroupId)

#### getOffset

    public long getOffset()

#### setOffset

    public void setOffset(long offset)